Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.objectbank
Class LineIterator.LineIteratorFactory<X>

    java.lang.Object
      edu.stanford.nlp.objectbank.LineIterator.LineIteratorFactory<X>

All Implemented Interfaces:
  IteratorFromReaderFactory<X>, Serializable

Enclosing class:
  LineIterator<X>

    public static class LineIterator.LineIteratorFactory<X>

extends Object
implements IteratorFromReaderFactory<X>, Serializable

See Also:
  Serialized Form

Constructor Summary
`LineIterator.LineIteratorFactory()`
`LineIterator.LineIteratorFactory(Function<String,X> op)`

Method Summary
`Iterator<X>` | `getIterator(Reader r)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LineIterator.LineIteratorFactory

    public LineIterator.LineIteratorFactory()

### LineIterator.LineIteratorFactory

    public LineIterator.LineIteratorFactory(Function<String,X> op)

Method Detail

### getIterator

    public Iterator<X> getIterator(Reader r)

  Specified by:
    `getIterator` in interface `IteratorFromReaderFactory<X>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group